FCE Ultra GX 3.3.3 (GC/Wii)

Discussion in 'Wii - Emulation and Homebrew' started by seam, Dec 15, 2012.

Dec 15, 2012

FCE Ultra GX 3.3.3 (GC/Wii) by seam at 5:26 PM (1,692 Views / 1 Likes) 14 Comments

    • Member

    seam New Member

    Member Since:
    Jan 23, 2011
    Message Count:
    387
    Location:
    austin texas
    Country:
    United States
    sabandellos likes this.
    • Newcomer

    roadkill New Member

    Member Since:
    Dec 16, 2012
    Message Count:
    3
    Country:
    United States
    Just tested this out today and Akumajou Densetsu's music was messed up. Did this update remove/screw up VRC6 support? It seems to have only affected Akumajou Denstsu, FDS sound channels and Sunsoft's Gimmick! (J) are unaffected. This stinks, I love the VRC6's music in Akumajou Denstsu. I know it's not the ROM because the music was fine on 3.3.2
    Last edited by roadkill, Dec 16, 2012
    • Member

    Thomas83Lin Retro Gamer

    Member Since:
    Jul 22, 2009
    Message Count:
    1,182
    Country:
    United States
    I'm on Vwii if it matters and If its not to much trouble could someone test Jackal for me, i can't get it to load for some reason (It locks up). I couldn't get it to load on a older version nor this one, I've also re-downloaded Jackal to be sure.
    • Member

    Hielkenator New Member

    Member Since:
    Feb 7, 2010
    Message Count:
    3,921
    Country:
    Netherlands
    YES, this sucks!
    • Member

    the_randomizer The Temp's official fox whisperer

    Member Since:
    Apr 29, 2011
    Message Count:
    10,129
    Location:
    Unknown
    Country:
    United States
    Then go back to 3.3.2 in the mean time, or use RetroArch Wii instead. Gimmick! Only used the FME-7, which was a variant of the Yamaha YM2149, a closer relative to the VRC7.

    That sucks. Did it affect VRC7 (the YM2413 variant)emulation in Lagrange Point as well? Yeeeah, I'm sticking with RetroArch. I have his email address, so, I'll ask him about it since his Google Code page no longer allows you to report bugs.
    Last edited by the_randomizer, Jan 1, 2013
    • Member

    Tantric New Member

    Member Since:
    Feb 8, 2007
    Message Count:
    183
    Country:
    Canada
    Looks like some things were broken upstream with the refactoring they were doing. I'm going to wait a couple weeks to make sure they've gotten things sorted out before putting out a new release.
    Hielkenator likes this.
    • Member

    Hielkenator New Member

    Member Since:
    Feb 7, 2010
    Message Count:
    3,921
    Country:
    Netherlands
    On a side note,
    I want to thank you for your hard work on all your work on the Wii Homebrew scene.
    THANK YOU, very very much! My family enjoys your work everyday of the week

    Without libwiigui and your work on libogc the scene would not be the same.
    Also thank you for your work as administrator on WiiBrew.
    Respect!
    • Newcomer

    roadkill New Member

    Member Since:
    Dec 16, 2012
    Message Count:
    3
    Country:
    United States
    I have gone back to 3.3.2, such a great emulator. I just wanted to report the bug somewhere because I noticed it immediately when I updated to 3.3.3. Thanks for the info on the sound chips btw, I haven't tried Lagrange Point on 3.3.3 though.
    Last edited by roadkill, Jan 14, 2013
    • Member

    LibretroRetroArc Banned!

    Member Since:
    Aug 24, 2012
    Message Count:
    532
    Country:
    Netherlands
    There's no point blindly pulling stuff from upstream - the only way you're going to get somewhere is if you're going to get involved with maintaining/updating/tweaking the cores yourself like I'm doing. That is a lot of maintenance work and it requires delving into unknown code territory, but it's the only way to assure obvious regressions like this get unnoticed by the users.

    It's also a good insurance policy against performance regressions. For instance, SNES9x 1.54 will be nigh-on unplayable on Wii in terms of performance the way things stand due to byuu pulling in more and more stuff from bSNES into SNES9x for 1.54 - you'll have to either accept sticking to SNES9x 1.53 or lower or start making core adjustments if you want to maintain performance levels the way they are.
    Last edited by LibretroRetroArc, Jan 14, 2013
    • Member

    the_randomizer The Temp's official fox whisperer

    Member Since:
    Apr 29, 2011
    Message Count:
    10,129
    Location:
    Unknown
    Country:
    United States
    My question is, why are the Snes9x developers allowing him to defile such a good emulator? Yes, some things needed to be recoded, but does he really have to make another Bsnes clone? It's bad enough it can't even run full speed without severe audio crackling on my Core i7 CPU.

    The whole idea behind using Snes9x was so one doesn't have to fumble about with Bsnes' high system requirements or its circumlocutory and confusing GUI.
    Last edited by the_randomizer, Jan 14, 2013
    • Newcomer

    roadkill New Member

    Member Since:
    Dec 16, 2012
    Message Count:
    3
    Country:
    United States
    agreed
    • Newcomer

    ECSS New Member

    Member Since:
    Feb 28, 2006
    Message Count:
    52
    Country:
    Last edited by ECSS, May 24, 2013
    zerofalcon and sabandellos like this.
    • Member

    AaronZ New Member

    Member Since:
    Mar 22, 2012
    Message Count:
    145
    Country:
    United Kingdom
    Has anyone tried Aladdin and got it to work? That's the only game that doesn't work for me, freezes on first level.
    • Member

    the_randomizer The Temp's official fox whisperer

    Member Since:
    Apr 29, 2011
    Message Count:
    10,129
    Location:
    Unknown
    Country:
    United States

    Use RetroArch Wii, it has many emulators in one, and is more stable

    http://forum.themaister.net/viewtopic.php?id=347
    • Member

    zerofalcon New Member

    Member Since:
    Mar 14, 2009
    Message Count:
    323
    Location:
    Somewhere close to my NES
    Country:
    Antarctica
    Worked for me on latest unofficial FCEUGX 3.3.5 uploaded by ECSS, or try with another rom dump.

Share This Page